org.apache.lucene.util

## Class Parameter

- java.lang.Object
- - org.apache.lucene.util.Parameter

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    BooleanClause.Occur, CachingWrapperFilter.DeletesMode, Field.Index, Field.Store, Field.TermVector, QueryParser.Operator, Version

      public abstract class Parameter
      extends java.lang.Object
      implements java.io.Serializable

  A serializable Enum class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Parameter(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `readResolve()` Resolves the deserialized instance to the local reference for accurate equals() and == comparisons.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Parameter

          protected Parameter(java.lang.String name)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### readResolve

          protected java.lang.Object readResolve()
                                          throws java.io.ObjectStreamException

      Resolves the deserialized instance to the local reference for accurate equals() and == comparisons.
      Returns:
        a reference to Parameter as resolved in the local VM
      Throws:
        `java.io.ObjectStreamException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.